using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.Base
{
    public partial class W_My_Base
    {
        public W_My_Base()
        {
            //dw_da_jdda_tree
        }
        public override void OnLoad()
        {
            base.OnLoad();
            tv_1.DataStore.DataWindowObject = "dw_da_jdda_tree";
            tv_1.LoadTreeNodesStyle = LoadTreeNodesStyle.None;
            ReportService service = (ReportService)dw_list.Services.Add(ServiceName.Report);
            service.RequestorDrawTitle = false;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list);           
            //tv_1.StringData1 = "节点档案#jdbh#jdmc#A8ERP.Base.W_OPEN_EDIT#W_OPEN_EDIT#dw_da_jdda_edit#fjdbh#jdbh";
            this.SetParm("curYhbh", A8ERP.AppService.GetUserID());
            this.SetParm("CURGNQXSTR", base.GnqxStr);
            this.SetParm("curFunctionId", this.FunctionID);
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("MyJs_Base", "/Scripts/MyJs_Base.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_My_Base", "/Base/W_My_Base.win.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_OPEN_PRINT", "/Base/W_OPEN_PRINT.win.js");
                this.Page.ClientScript.RegisterClientScriptInclude("W_OPEN_EDIT", "/Base/W_OPEN_EDIT.win.js");
          
            }
        }
    }
}
